Page MenuHomePhabricator

archivebot.py error
Closed, ResolvedPublic

Description

Originally from: http://sourceforge.net/p/pywikipediabot/bugs/1506/
Reported by: Anonymous user
Created on: 2012-08-25 11:51:13
Subject: archivebot.py error
Original description:
I'm trying to use this on sr.wikipedia, but I'm getting the same error all the time:

6 Threads found on \[\[sr:Разговор са корисником:Micki\]\]
Looking for: \{\{Korisnik:MickiBot/archive\}\} in \[\[sr:Разговор са корисником:Micki\]
\]
Error occured while processing page \[\[sr:Разговор са корисником:Micki\]\]
Traceback \(most recent call last\):
File "D:\Documents\Instalacije\pywikipedia\archivebot.py", line 601, in main
Archiver = PageArchiver\(pg, a, salt, force\)
File "D:\Documents\Instalacije\pywikipedia\archivebot.py", line 376, in \_\_init
\_\_
self.loadConfig\(\)
File "D:\Documents\Instalacije\pywikipedia\archivebot.py", line 418, in loadCo
nfig
raise MissingConfigError\(u'Missing or malformed template'\)
MissingConfigError: Missing or malformed template

Does anyone know how to resolve this?


Version: unspecified
Severity: normal
See Also:
https://sourceforge.net/p/pywikipediabot/bugs/1506

Details

Reference
bz55175

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz55175.
bzimport added a subscriber: Unknown Object (????).
Legoktm created this task.Oct 5 2013, 4:37 AM

OK. I have identified the problem. It started working after I changed the name of the template from Корисник:MickiBot/archive to MickiBot/archive. But it seems that bot doesn't recognise monthnames in Serbian. It works after this: https://sr.wikipedia.org/w/index.php?title=%D0%A0%D0%B0%D0%B7%D0%B3%D0%BE%D0%B2%D0%BE%D1%80\_%D1%81%D0%B0\_%D0%BA%D0%BE%D1%80%D0%B8%D1%81%D0%BD%D0%B8%D0%BA%D0%BE%D0%BC%3AMicki&diff=5925776&oldid=5925769

Should be fixed by Iede5165fd36b8e5747db032183094fa11177b037

Restricted Application added a subscriber: Cyberpower678. · View Herald TranscriptJun 29 2018, 3:18 PM